@import "../../../../style/variables";
@import "../../../../style/mixins/response-mixins.scss";

#navBar {
  position: fixed;
  background-color: $MAIN_COLOR;
  z-index: 12;
  height: 10vh;
  width: 96%;
  left: 4%;
  top: 0;
  transition: top 0.2s;
}
.header {
  display: flex;
  align-items: center;
  width: 100%;
  height: 100%;
  left: 5%;
  z-index: 100;
  padding: 0 10px;
  &-title {
    width: 23%;
    font-size: 14px;
    line-height: 1rem;
    font-size: 1vw;
    line-height: 1.1vw;
    a {
      color: white;
    }
  }
  &-menu {
    width: 77%;
    height: 100%;
    ul {
      a {
        color: white;
      }
      display: flex;
      font-size: 16px;
      font-size: 1vw;
      height: 100%;
      align-items: center;
      justify-content: space-around;
      color: white;
      margin: 0;
      padding: 0;
      li {
        cursor: pointer;
        height: 80%;
        padding: 0 10px;
        display: flex;
        align-items: center;
      }
    }
  }
}

.header-white {
  background-color: white;
  .header-title {
    border: solid 1px black;
    a {
      color: black;
    }
  }
  .header-menu {
    ul {
      color: black;
      li {
        border: solid 1px black;
      }
    }
  }
}
.header-black {
  background-color: black;
  .header-title {
    border: solid 1px white;
    a {
      color: white;
    }
  }
  .header-menu {
    ul {
      color: white;
      li {
        border: solid 1px white;
      }
    }
  }
}
.header-contrast {
  background-color: $BACK_CONTRAST;
  .header-title {
    border: solid 1px $FONT_CONTRAST;
    a {
      color: $FONT_CONTRAST;
    }
  }
  .header-menu {
    ul {
      color: $FONT_CONTRAST;
      li {
        border: solid 1px $FONT_CONTRAST;
      }
    }
  }
}
//выпадающее меню
.navbar__menu-container {
  position: absolute;
  opacity: 1;
  bottom: -210px;
  width: 95%;
  left: 50%;
  transform: translate(-50%);
  display: none;
  z-index: 11;
  display: none;
  /*   -webkit-box-shadow: 0px 4px 8px 0px rgba(20, 49, 71, 0.2);
  -moz-box-shadow: 0px 4px 8px 0px rgba(20, 49, 71, 0.2);
  box-shadow: 0px 4px 8px 0px rgba(20, 49, 71, 0.2); */
  ul {
    a {
      color: $LINK_COLOR;
    }
  }
}

.navbar__menu-container-white {
  ul {
    a {
      color: black;
    }
  }
}
.navbar__menu-container-black {
  ul {
    a {
      color: white;
    }
  }
}
.navbar__menu-container-contrast {
  ul {
    a {
      color: $FONT_CONTRAST;
    }
  }
}

.navbar__menu-item {
  margin-top: 25px;
  width: 100%;
  min-height: 200px;
  padding: 25px;
  background-color: white;
  opacity: 1;
  display: none;
  -webkit-box-shadow: 0px 4px 8px 0px rgba(20, 49, 71, 0.2);
  -moz-box-shadow: 0px 4px 8px 0px rgba(20, 49, 71, 0.2);
  box-shadow: 0px 4px 8px 0px rgba(20, 49, 71, 0.2);
  ul {
    padding: 0;
    color: $LINK_COLOR;
    justify-content: space-around;
    li {
      width: calc(100% / 3);
      float: left;
      padding-top: 15px;
      text-align: center;
      border-bottom: solid 2px white;
      padding-bottom: 4px;
    }
    li:before {
      content: "";
      display: inline-block;
      height: 100%;
      vertical-align: middle;
    }
    li:hover {
      border-bottom: solid 2px $RED_COLOR;
      background-color: rgba(12, 29, 44, 0.05);
      cursor: pointer;
      padding-bottom: 4px;
    }
  }
}
.navbar__menu-item-white {
  background-color: white;
  ul {
    color: black;
    li {
      border: solid 2px black;
    }
  }
  li:hover {
    border-bottom: solid 2px black;
  }
}
.navbar__menu-item-black {
  background-color: black;
  ul {
    color: white;
    li {
      border: solid 2px white;
    }
  }
  li:hover {
    border-bottom: solid 2px white;
  }
}
.navbar__menu-item-contrast {
  background-color: $BACK_CONTRAST;
  ul {
    color: $FONT_CONTRAST;
    li {
      border: solid 2px $FONT_CONTRAST;
    }
  }
  li:hover {
    border-bottom: solid 2px $FONT_CONTRAST;
  }
}

.show-menu-item {
  display: block;
}
.show-menu-container {
  display: block;
}
.show-menu-list {
  a {
    color: $MAIN_COLOR !important;
  }
  color: $MAIN_COLOR;
  background-color: white;
}

@media screen and (max-width: 1270px) {
  #navBar {
    display: none;
    left: 0;
  }
}
